# Function cif::add_file_resource

- Defined in File utilities.hpp

## Function Documentation

void cif::add_file_resource(const std::string &name, std::filesystem::path dataFile)

  Add a file specified by dataFile as the data for resource name.

  Note

  See the documentation on resources for more information.

  Parameters:

    - name – The name of the resource to specify

    - dataFile – Path to a file containing the data